Functions

# glm::gtx::inertia Namespace Reference

GLM_GTX_inertia extension: Create inertia matrices. More...

## Functions
template<typename T >
detail::tmat3x3< T > | ballInertia3 (const T Mass, const T Radius)
| Build an inertia matrix for a ball.
template<typename T >
detail::tmat4x4< T > | ballInertia4 (const T Mass, const T Radius)
| Build an inertia matrix for a ball.
template<typename T >
detail::tmat3x3< T > | boxInertia3 (const T Mass, const detail::tvec3< T > &Scale)
| Build an inertia matrix for a box.
template<typename T >
detail::tmat4x4< T > | boxInertia4 (const T Mass, const detail::tvec3< T > &Scale)
| Build an inertia matrix for a box.
template<typename T >
detail::tmat3x3< T > | diskInertia3 (const T Mass, const T Radius)
| Build an inertia matrix for a disk.
template<typename T >
detail::tmat4x4< T > | diskInertia4 (const T Mass, const T Radius)
| Build an inertia matrix for a disk.
template<typename T >
detail::tmat3x3< T > | sphereInertia3 (const T Mass, const T Radius)
| Build an inertia matrix for a sphere.
template<typename T >
detail::tmat4x4< T > | sphereInertia4 (const T Mass, const T Radius)
| Build an inertia matrix for a sphere.

## Detailed Description

GLM_GTX_inertia extension: Create inertia matrices.

## Function Documentation

detail::tmat3x3<T> glm::gtx::inertia::ballInertia3 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a ball.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::gtx::inertia::ballInertia4 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a ball.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::gtx::inertia::boxInertia3 | ( | const T | Mass,
|  | const detail::tvec3< T > & | Scale
| ) |  |

Build an inertia matrix for a box.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::gtx::inertia::boxInertia4 | ( | const T | Mass,
|  | const detail::tvec3< T > & | Scale
| ) |  |

Build an inertia matrix for a box.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::gtx::inertia::diskInertia3 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a disk.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::gtx::inertia::diskInertia4 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a disk.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::gtx::inertia::sphereInertia3 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a sphere.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::gtx::inertia::sphereInertia4 | ( | const T | Mass,
|  | const T | Radius
| ) |  |

Build an inertia matrix for a sphere.

From GLM_GTX_inertia extension.